#
# spec file for package rubygem-rufus-cloche
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

Name:           rubygem-rufus-cloche
Version:        1.0.4
Release:        lp151.2.1
%define mod_name rufus-cloche
%define mod_full_name %{mod_name}-%{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  ruby-macros >= 5
BuildRequires:  %{ruby}
BuildRequires:  %{rubygem gem2rpm}
Url:            http://ruote.rubyforge.org
Source:         http://rubygems.org/gems/%{mod_full_name}.gem
Summary:        an open source Ruby workflow engine
License:        GPL-2.0+ or Ruby
Group:          Development/Languages/Ruby

%description
A very stupid JSON hash store.
It's built on top of yajl-ruby and File.lock. Defaults to 'json' (or
'json_pure') if yajl-ruby is not present (it's probably just a "gem install
yajl-ruby" away.
Strives to be process-safe and thread-safe.
.

%prep

%build

%install
%gem_install \
  --doc-files="CHANGELOG.txt LICENSE.txt README.rdoc" \
  -f

%gem_packages

%changelog
* Mon May 13 2013 coolo@suse.com
- updated to version 1.0.4
  - reinforce "gone detection again"
  == rufus-cloche - 1.0.3    released 2013/02/21
  - fix issue when putting a just deleted doc
  - standardish (no space before "(" in method signature)
* Wed Jul 21 2010 david@dgreaves.com
- Initial import from upstream
